> ## Documentation Index
> Fetch the complete documentation index at: https://guide.withvayu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get products consumptions by customer id

> Use this endpoint to get the products consumptions by the customer id.



## OpenAPI

````yaml get /customers/products-consumptions/{customerId}
openapi: 3.0.0
info:
  title: Vayu API
  version: 1.0.0
  description: >-
    The Vayu API is a RESTful API that allows you to submit events for
    processing and storage & manage billing related entities.
              The API is secured using the Bearer Authentication scheme with JWT tokens.
              To obtain a JWT token, please contact Vayu at team@withvayu.com
  contact:
    email: dev@withvayu.com
    name: Vayu, Inc
    url: https://withvayu.com
servers:
  - url: https://connect.withvayu.com
    description: Production server
  - url: https://staging-connect.withvayu.com
    description: Sandbox server
security: []
tags:
  - name: auth
    description: >-
      The auth tag is used for endpoints related to authentication and
      authorization.
  - name: events
    description: The events tag is used for endpoints related to event ingestion.
  - name: customers
    description: The customers tag is used for endpoints related to customer management.
  - name: meters
    description: The meters tag is used for endpoints related to meter management.
  - name: contracts
    description: The contracts tag is used for endpoints related to contract management.
  - name: invoices
    description: The invoices tag is used for endpoints related to invoice management.
  - name: credits
    description: The credits tag is used for endpoints related to credit management.
  - name: webhooks
    description: The webhooks tag is used for endpoints related to webhook management.
paths:
  /customers/products-consumptions/{customerId}:
    get:
      tags:
        - customers
      summary: Get products consumptions by customer id
      description: Use this endpoint to get the products consumptions by the customer id.
      operationId: getCustomerProductsConsumptions
      parameters:
        - schema:
            $ref: '#/components/schemas/CustomerId'
          required: true
          in: path
          name: customerId
      responses:
        '200':
          $ref: '#/components/responses/GetCustomerProductsConsumptionsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorResponse'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - BearerAuthorizer: []
components:
  schemas:
    CustomerId:
      type: string
      pattern: ^[0-9a-fA-F]{24}$
    ValidationErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - invalid_request_error
        code:
          type: string
          description: Specific machine-readable error code
        message:
          type: string
          description: Human-readable error explanation
        param:
          type: string
          description: Single parameter that failed validation
        params:
          type: array
          items:
            type: object
            properties:
              param:
                type: string
                description: The parameter that failed validation
              message:
                type: string
                description: Why validation failed for this parameter
            required:
              - param
              - message
          description: Multiple parameters that failed validation
      required:
        - type
        - code
        - message
    UnauthorizedErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - authentication_error
        code:
          type: string
          enum:
            - authentication_failed
        message:
          type: string
          description: Human-readable error explanation
      required:
        - type
        - code
        - message
    NotFoundErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - invalid_request_error
        code:
          type: string
          enum:
            - resource_not_found
        message:
          type: string
          description: Human-readable error explanation
      required:
        - type
        - code
        - message
    RateLimitErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - rate_limit_error
        code:
          type: string
          enum:
            - rate_limit_exceeded
        message:
          type: string
          description: Human-readable error explanation
      required:
        - type
        - code
        - message
    InternalServerErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - api_error
        code:
          type: string
          enum:
            - internal_error
        message:
          type: string
          description: Human-readable error explanation
      required:
        - type
        - code
        - message
    GetCustomerProductsConsumptionsResponse:
      type: object
      properties:
        productsConsumptions:
          type: array
          items:
            $ref: '#/components/schemas/ProductConsumption'
      required:
        - productsConsumptions
    ProductConsumption:
      type: object
      properties:
        productId:
          type: string
          pattern: ^[0-9a-fA-F]{24}$
          description: The id of the product.
        productName:
          type: string
          minLength: 1
          description: The name of the product.
          example: Vayu Product
        provisionedAmount:
          type: number
          minimum: 0
          description: The amount of units provisioned to the customer.
          example: 10
        consumedAmount:
          type: number
          minimum: 0
          description: The amount of units consumed by the customer.
          example: 10
        usagePercentage:
          type: number
          minimum: 0
          description: The percentage of the provisioned amount that has been consumed.
        hasAccess:
          type: boolean
          description: Whether the customer has access to the product.
          example: true
        remainingAmount:
          type: number
          description: The amount of units remaining to consume.
          example: 10
        exceededAmount:
          type: number
          description: The amount of units exceeded.
          example: 10
      required:
        - productId
        - productName
        - provisionedAmount
        - consumedAmount
        - usagePercentage
        - hasAccess
  responses:
    GetCustomerProductsConsumptionsResponse:
      description: response contains the products consumptions by the customer id
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GetCustomerProductsConsumptionsResponse'
  securitySchemes:
    BearerAuthorizer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````